Loading...
Searching...
No Matches
ON_MappingTag Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h>`

## Public Member Functions

| ON_MappingTag ()
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &) const
void | Transform (const ON_Xform &xform)
void | Set (const ON_TextureMapping &mapping)
void | SetDefaultSurfaceParameterMappingTag ()
int | Compare (const ON_MappingTag &other, bool bCompareId=true, bool bCompareCRC=true, bool bCompareXform=true) const
bool | IsSet () const
bool | IsDefaultSurfaceParameterMapping () const

## Public Attributes

ON_UUID | m_mapping_id
ON_TextureMapping::TYPE | m_mapping_type
ON__UINT32 | m_mapping_crc
ON_Xform | m_mesh_xform

## Detailed Description

Definition at line 915 of file opennurbs_mesh.h.

## Constructor & Destructor Documentation

## ON_MappingTag()

ON_MappingTag::ON_MappingTag | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_MappingTag::Compare | ( | const ON_MappingTag & | other,
|  | bool | bCompareId = `true`,
|  | bool | bCompareCRC = `true`,
|  | bool | bCompareXform = `true`
| ) |  | const

## Default()

void ON_MappingTag::Default | ( |  | ) |

## Dump()

void ON_MappingTag::Dump | ( | ON_TextLog & |  | ) | const

## IsDefaultSurfaceParameterMapping()

bool ON_MappingTag::IsDefaultSurfaceParameterMapping | ( |  | ) | const

## IsSet()

bool ON_MappingTag::IsSet | ( |  | ) | const

## Read()

bool ON_MappingTag::Read | ( | ON_BinaryArchive & |  | ) |

## Set()

void ON_MappingTag::Set | ( | const ON_TextureMapping & | mapping | ) |

## SetDefaultSurfaceParameterMappingTag()

void ON_MappingTag::SetDefaultSurfaceParameterMappingTag | ( |  | ) |

## Transform()

void ON_MappingTag::Transform | ( | const ON_Xform & | xform | ) |

## Write()

bool ON_MappingTag::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_mapping_crc

ON__UINT32 ON_MappingTag::m_mapping_crc

Definition at line 963 of file opennurbs_mesh.h.

## m_mapping_id

ON_UUID ON_MappingTag::m_mapping_id

Definition at line 961 of file opennurbs_mesh.h.

## m_mapping_type

ON_TextureMapping::TYPE ON_MappingTag::m_mapping_type

Definition at line 962 of file opennurbs_mesh.h.

## m_mesh_xform

ON_Xform ON_MappingTag::m_mesh_xform

Definition at line 964 of file opennurbs_mesh.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_mesh.h